<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Exciting Comics</Series>
  <Number>004</Number>
  <Web>https://www.comixology.com/Exciting-Comics-4/digital-comic/839403</Web>
  <Summary>After the shocking events in the 100-page extravaganza, the Superverse will never be the same! Black Terror has met his demise, but a new legacy is reborn. Who or what is the new Black Terror? The Crimson Scorpion returns as the professor, surviving a brutal massacre, is now coming to grips with his new powers. But a new evil is born in the wreckage he left behind! Also in the cards is another round of Bradley Golden's thrilling Ghost! All this plus more that will leave you breathless!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB839403]</Notes>
  <Publisher>Antarctic Press</Publisher>
  <Genre>Action/Adventure, Science Fiction, Superhero</Genre>
  <PageCount>27</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
